=== debian/changelog ===
lomiri-ui-extras (0.5-2) unstable; urgency=medium

  * Upload source-only as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Mar 2022 20:58:24 +0100

lomiri-ui-extras (0.5-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1006712).
  * debian/patches:
    + Add copyright header amendments from upstream.
  * debian/Jenkinsfile:
    + Drop file.
  * debian/{compat,control}:
    + Switch to debhelper-compat notation, bump DH compat level to version 13.
  * debian/control:
    + Change Section: from x11 to misc.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add Debian-specific Vcs-*: fields.
    + Update Maintainers: and Uploaders: field for official Debian upload.
    + Drop from B-D: meta-package qt5-default.
    + Switch from B-D python:any to python3:any.
    + Add B-D: xauth.
    + Drop X-Language-Pack: field from global header.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/rules:
    + Drop --parallel and --fail-missing dh flags.
    + Enable all hardening build flags.
    + Add get-orig-source target (for the maintainer's convenience).
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Update copyright attributions.
    + Use secure URL in Format: field.
    + Add Upstream-Contact: field.
  * debian/source/format:
    + Add file. Use '3.0 (quilt)'.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/watch:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Mar 2022 20:38:06 +0100

lomiri-ui-extras (0.5) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-ui-extras. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 04 Mar 2022 19:34:53 +0100

ubuntu-ui-extras (0.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 07 Jan 2018 23:38:30 +0100

ubuntu-ui-extras (0.3+17.04.20170323-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Adds devices as an model on Printers, and re-instates remote printer model on Printers.
  * makes sure the backend is refreshed on enable/disable
  * If printerAdded is called ensure there is always a proxy printer
        corrects thread affinity for printerloaded printers, as well as any qobject children it might have
  * Remove PrinterQueue.qml example and add missing job methods to Printers.qml example, so we have only one example
  * improves the deviceName by dropping the CMD (note that the full string remains accessible from device.id)
  * Connect job-impressions-completed from cups to PrinterJob::impressionsCompleted()
  * In the job model listen to printerStateChanged as changes t job-impressions-completed causes that signal
  * Improve the PrinterSignalHandler to limit the maximum wait time of unprocessed signals to four times the timeout
  * Add unit test for SignalRateLimiter to check it does perform a flush
  * Rename PrinterSignalHandler to SignalRateLimiter
  * Add a JobLoader for loading a specific jobId for a printer and loading the extended attributes
  * Move the loading of creationTime, completedTime, processingTime, size and user to extended attributes as signals don't give us those
  * Add method for PrinterBackend for getting a specific job
  * Split up JobModel::update so there is jobCreated, jobState and jobCompleted which then call addJob, removeJob and updateJob
  * Improve Printer::updateFrom to not call loadAttributes as this results in a possible UI block
  * Add missing comparisions for PrinterJob deepCompare and updateFrom
  * Change PrinterJob::setPrinter to not call loadDefaults and instead explicitly call it
  * Change Printers to trigger requestJobExtendedAttributes which triggers a background thread rather than doing in foreground
  * exposes copies attribute on the printer
  * includes cups/adminutils.h into which the cups device callback was moved in >= libcups2-dev 2.2.2
  * allows browsing on local and remote printers
  * Add filters for active, paused and queued
  * Add sorting by creationTime and then falling back to id
  * Change time related roles in JobModel to return QDateTime, not QString, so sorting doesn't break
  * Update tests
  * Change printerGetJobAttributes to use printer-uri and job-id (the same as holdJob and releaseJob
  * Give printerGetJobAttributes printerName so we can ensure we get the correct job
  * adds read/write of the shared property
  * adds extended attribute fetching (IppClient::printerGetAttributes)
  * refactors attribute retrieval from cups
  * implements deviceUri and lastMessage on Printer
  * adds Printers.printTestPage
  * Add tests for JobModel roles
  * Add tests for make and location in Printer
  * Fix JobModel color and quality roles to use fallback if no text
  * Add tests for all roles in PrinterModel
  * Remove PdfRole it is not used (IsPdfRole instead)
  * Add holdJob and releaseJob methods to Printers
  * Add HeldRole to JobModel
  * Add tests for hold and releasing a job
  * Update example to show how hold and release work
  * Update StateRole to return just the state, not text
  * Remove PrinterJob friends and make setters public as they aren't exposed to QML anyway
  * adds make and location to printermodel and printer
  * Pull of trunk
  * Remove use of bitewise or as it fails in CI
  * guards against excessive loading of printers and drivers
  * adds loadPrinter method on Printers
  * drops a lot of code that was not used, and some TODOS/FIXMES that aren't necessary
  * Fix/add commented or empty tests
  * Implement tests that had QSKIP
  * removes empty brackets
  * adds cmake extras, required by printer stuff
  * Remove remaining fixme's
  * Rename UbuntuSettingsComponentsPrintersPlugin to UbuntuComponentsExtrasPrintersPlugin
  * Remove import Ubuntu.Settings.Components 0.1 from example qml imports

