=== debian/control ===
Source: lomiri-ui-extras
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.9),
               cmake-extras (>= 0.10),
               debhelper-compat (= 13),
               gettext,
               libcups2-dev,
               libexiv2-dev,
               pkg-config,
               python3:any,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-lomiri-test,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-ui-extras
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-extras.git

Package: qml-module-lomiri-components-extras
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5printsupport5,
         qml-module-qtqml-models2,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-qtquick-window2,
Description: Lomiri UI Extra Components
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
