=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-ui-extras/tags .*/lomiri-ui-extras-(\d\S+)\.tar\.gz
