=== modules/Lomiri/Components/Extras/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 add_subdirectory(plugin)
 add_subdirectory(Example)
+add_subdirectory(PamAuthentication)
 add_subdirectory(PhotoEditor)
 add_subdirectory(Printers)
 add_subdirectory(TabsBar)
