=== debian/changelog ===
lomiri-ui-extras (0.6.0-1) unstable; urgency=medium

  * New upstream release v0.6.0
  * debian/patches/: Drop upstreamed patches
    + 0001_Use-unified-spelling-for-copyright-holdership-by-Can.patch
    + 0002_Use-unified-spelling-for-copyright-holdership-by-Can.patch
  * debian/control: Add libpam0g-dev as B-D
  * debian/copyright: Update copyright to match new upstream release

 -- Marius Gripsgard <marius@ubports.com>  Wed, 11 Jan 2023 07:27:16 +0100

lomiri-ui-extras (0.5-3) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * Disable tst_printers test. (Closes: #1015103)

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Oct 2022 20:46:15 +0200
