=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
                qml-module-qttest,
                qml-module-lomiri-components,
                qml-module-lomiri-test,
+               libpam0g-dev,
                xauth,
                xvfb,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-ui-extras
+Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-extras
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-extras.git
