## lomiri-ui-extras 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(lomiri-ui-extras)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+
+project(lomiri-ui-extras VERSION 0.6.3)
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -14,6 +15,8 @@
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Quick REQUIRED)
+find_package(Qt5DBus REQUIRED)
+find_package(Qt5Xml REQUIRED)
 find_package(Qt5Test)
 
 add_definitions(-DQT_NO_KEYWORDS)
