=== tests/CMakeLists.txt ===
add_subdirectory(qml)
add_subdirectory(unittests)
