=== tests/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 find_program(QMLTESTRUNNER_BIN
     NAMES qmltestrunner
-    PATHS /usr/lib/*/qt5/bin
-    NO_DEFAULT_PATH
 )
 
 find_program(XVFB_RUN_BIN
