=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,13 @@
             ${plugin-dir}/photoeditor/photo-image-provider.cpp
             ${sampledata_rc_srcs}
             )
-        qt5_use_modules(${test} Core Qml Quick Test)
         target_link_libraries(${test}
             ${TPL_QT5_LIBRARIES}
             lomiri-ui-extras-plugin
+            Qt5::Core
+            Qt5::Qml
+            Qt5::Quick
+            Qt5::Test
             )
         add_test(${test} 
             ${CMAKE_CURRENT_BINARY_DIR}/${test}
