=== modules/Lomiri/Components/Extras/PamAuthentication/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,14 @@
     ${pamauthentication_SRCS}
 )
 
-target_link_libraries(PamAuthentication pam)
-
-qt5_use_modules(PamAuthentication Gui Qml Quick Widgets DBus)
+target_link_libraries(PamAuthentication
+    pam
+    Qt5::Gui
+    Qt5::Qml
+    Qt5::Quick
+    Qt5::Widgets
+    Qt5::DBus
+)
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
