=== modules/Lomiri/Components/Extras/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -29,10 +29,14 @@
 
 add_library(lomiri-ui-extras-plugin SHARED ${PLUGIN_SRC} ${PLUGIN_HDRS}
             ${EXAMPLE_PLUGIN_SRC} ${PHOTO_EDITOR_PLUGIN_SRC} ${TABS_BAR_PLUGIN_SRC})
-qt5_use_modules(lomiri-ui-extras-plugin Core Qml Quick Xml Widgets)
 target_link_libraries(lomiri-ui-extras-plugin
     ${EXIV2_LIBRARIES}
-    )
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Quick
+    Qt5::Xml
+    Qt5::Widgets
+)
 
 
 set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
