=== debian/changelog ===
lomiri-ui-extras (0.6.3-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:10 +1100

lomiri-ui-extras (0.6.3-1ubuntu2) noble; urgency=high

  * Bump depends for libqt5printsupport5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:48:22 +0100

lomiri-ui-extras (0.6.3-1build2) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:54:07 +1300

lomiri-ui-extras (0.6.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:46:32 +0000

lomiri-ui-extras (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 18:00:08 +0100
