=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lomiri-ui-extras
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.8.9),
-               cmake-extras (>= 0.10),
+Build-Depends: cmake,
+               cmake-extras,
                debhelper-compat (= 13),
                gettext,
                libcups2-dev,
@@ -22,7 +23,7 @@
                libpam0g-dev,
                xauth,
                xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-extras
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
@@ -32,7 +33,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libqt5printsupport5,
+         libqt5printsupport5t64,
          qml-module-qtqml-models2,
          qml-module-qtquick2,
          qml-module-lomiri-components,
