=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_OPTS += -DENABLE_TESTS=OFF
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFIGURE_OPTS)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) lomiri-ui-extras.pot

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
