## lomiri-ui-extras 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,31 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-ui-extras VERSION 0.6.3)
+project(lomiri-ui-extras VERSION 0.7.0)
 
 # Standard install paths
 include(GNUInstallDirs)
 
 option(ENABLE_TESTS "Build test programs" ON)
+option(ENABLE_WERROR "Enable -Werror" OFF)
+option(ENABLE_QT6 "Enable Qt6 build" OFF)
+
+add_compile_options(-Wall -Wextra -pedantic)
+if (ENABLE_WERROR)
+    add_compile_options(-Werror)
+endif()
 
 # enable QML debugging
 if(CMAKE_BUILD_TYPE MATCHES DEBUG OR CMAKE_BUILD_TYPE MATCHES "Debug")
     add_definitions(-DQT_QML_DEBUG)
 endif()
 
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Quick REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(Qt5Test)
+if (ENABLE_QT6)
+    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml)
+else()
+    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Qml)
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Quick DBus Xml Test)
 
 add_definitions(-DQT_NO_KEYWORDS)
