=== tests/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
-find_program(QMLTESTRUNNER_BIN
-    NAMES qmltestrunner
+set(CHECK_DEFAULT_PATH "")
+if (EXISTS "/etc/debian_version")
+    set(CHECK_DEFAULT_PATH "NO_DEFAULT_PATH")
+endif()
+find_program(QMLTESTRUNNER_BIN qmltestrunner REQUIRED
+                 PATHS /usr/lib/qt${QT_VERSION_MAJOR}/bin
+                 ${CHECK_DEFAULT_PATH}
 )
 
 find_program(XVFB_RUN_BIN
