=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,13 @@
     ${CMAKE_SOURCE_DIR}/modules/Lomiri/Components/Extras/plugin/photoeditor/
     )
 
-qt5_add_resources(sampledata_rc_srcs sampledata.qrc)
+qt_add_resources(sampledata_rc_srcs sampledata.qrc)
+add_custom_target(sampledata_rc_target DEPENDS ${sampledata_rc_srcs})
 
 set(plugin-dir ../../modules/Lomiri/Components/Extras/plugin)
 macro(generate_tests)
     foreach(test ${ARGN})
-        add_executable(${test} 
+        add_executable(${test}
             ${test}.cpp
             ${plugin-dir}/photoeditor/photo-image-provider.cpp
             ${sampledata_rc_srcs}
@@ -17,12 +18,13 @@
         target_link_libraries(${test}
             ${TPL_QT5_LIBRARIES}
             lomiri-ui-extras-plugin
-            Qt5::Core
-            Qt5::Qml
-            Qt5::Quick
-            Qt5::Test
+            Qt::Core
+            Qt::Qml
+            Qt::Quick
+            Qt::Test
             )
-        add_test(${test} 
+        add_dependencies(${test} sampledata_rc_target)
+        add_test(${test}
             ${CMAKE_CURRENT_BINARY_DIR}/${test}
             -xunitxml -o ${test}.xml
             )
