=== modules/Lomiri/Components/Extras/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 file(GLOB QML_FILES *.qml qmldir)
 
-set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
+set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")
 
 set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Lomiri/Components/Extras)
 install(FILES ${QML_FILES} DESTINATION ${PLUGIN_DIR})
