=== modules/Lomiri/Components/Extras/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -31,15 +31,15 @@
             ${EXAMPLE_PLUGIN_SRC} ${PHOTO_EDITOR_PLUGIN_SRC} ${TABS_BAR_PLUGIN_SRC})
 target_link_libraries(lomiri-ui-extras-plugin
     ${EXIV2_LIBRARIES}
-    Qt5::Core
-    Qt5::Qml
-    Qt5::Quick
-    Qt5::Xml
-    Qt5::Widgets
+    Qt::Core
+    Qt::Qml
+    Qt::Quick
+    Qt::Xml
+    Qt::Widgets
 )
 
 
-set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
+set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")
 
 set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Lomiri/Components/Extras)
 install(TARGETS lomiri-ui-extras-plugin DESTINATION ${PLUGIN_DIR})
