=== debian/changelog ===
lomiri-ui-extras (0.7.0-3) unstable; urgency=medium

  * debian/control:
    + Comment-out qml6-module-lomiri-components in D: of qml6-module-lomiri-
      components-extras until it has landed in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 14:22:23 +0200

lomiri-ui-extras (0.7.0-2) unstable; urgency=medium

  * debian/rules:
    + Backup and restore po/lomiri-ui-extras.pot. (Closes: #1048158).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Mar 2025 08:27:47 +0200

lomiri-ui-extras (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003-Disable-tst_printers-unittest.patch. Not required anymore.
  * debian/:
    + Introduce dually building againt Qt5 and Qt6. This adds a qml6-module-
      lomiri-components-extras.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 29 Mar 2025 19:44:17 +0100

lomiri-ui-extras (0.6.3-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Drop hard-wired libqt5printsupport5 from D:. (Closes: #1068398).
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Apr 2024 23:49:07 +0200
