=== debian/control ===
Source: lomiri-ui-extras
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               gettext,
               libcups2-dev,
               libexiv2-dev,
               pkgconf,
               python3:any,
               qt6-base-dev,
               qt6-declarative-dev,
               qml6-module-qtquick,
               qml6-module-qttest,
#               qml6-module-lomiri-components,
#               qml6-module-lomiri-test,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-lomiri-test,
               libpam0g-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-extras
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-extras/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-extras.git

Package: qml-module-lomiri-components-extras
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-components-extras-common (>= ${source:Version}),
         qml-module-qtqml-models2,
         qml-module-qtquick2,
#         qml-module-lomiri-components,
         qml-module-qtquick-window2,
Description: Lomiri UI Extra Components (Qt5)
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
 .
 This package contains the Qt5 QML module.

Package: qml6-module-lomiri-components-extras
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-components-extras-common (>= ${source:Version}),
         qml6-module-qtqml-models,
         qml6-module-qtquick,
#         qml6-module-lomiri-components,
         qml6-module-qtquick-window,
Description: Lomiri UI Extra Components (Qt6)
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
 .
 This package contains the Qt6 QML module.

Package: lomiri-components-extras-common
Architecture: all
Depends: ${misc:Depends},
Breaks: qml-module-lomiri-components-extras (<< 0.7.0~),
Replaces: qml-module-lomiri-components-extras (<< 0.7.0~),
Description: Lomiri UI Extra Components (locale files)
 A collection of UI components that for various reasons can't be included in
 the main Lomiri UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
 .
 This package contains locale files used by both (Qt5 / Qt6) QML module
 variants.
