=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,33 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-		$(CONFIGURE_OPTS)
+	dh_auto_configure --builddirectory=build-qt6 --buildsystem=cmake .. -- \
+	                  -DENABLE_QT6=ON                                      \
+	                  $(CONFIGURE_OPTS)
+	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake .. -- \
+	                  -DENABLE_QT6=OFF                                     \
+	                  $(CONFIGURE_OPTS)
 
 override_dh_auto_build:
-	dh_auto_build
-	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) lomiri-ui-extras.pot
+	cp po/lomiri-ui-extras.pot po/lomiri-ui-extras.pot.bak
+	dh_auto_build --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_test:
+	dh_auto_test --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_test --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_install:
+	dh_auto_install --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_install --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_clean:
+	dh_auto_clean --builddirectory=build-qt6 --buildsystem=cmake ..
+	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_clean:
+	-mv po/lomiri-ui-extras.pot.bak po/lomiri-ui-extras.pot
+	dh_clean
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
