## lomiri-ui-extras 0.8.0~git20250805.b00c9c1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 endif()
 
 if (ENABLE_QT6)
-    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml)
+    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml ShaderTools)
 else()
     find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Qml)
 endif()
