=== tests/CMakeLists.txt ===
# temporarily skip Qt6 QML tests until we have lomiri-ui-toolkit Qt6 builds
if (NOT ENABLE_QT6)
    add_subdirectory(qml)
endif()
add_subdirectory(unittests)
