=== tests/qml/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
     add_test(NAME ${TST_NAME}
         WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-        COMMAND ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24" ${QMLTESTRUNNER_BIN} --platform xcb -input ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
+        COMMAND ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24" ${QMLTESTRUNNER_BIN} --platform xcb -input ${CMAKE_CURRENT_BINARY_DIR}/${TST_QML_FILE}
     )
 endmacro()
 
@@ -36,3 +36,8 @@
     tst_CropDragArea.qml
 )
 add_custom_target(tst_QmlFiles ALL SOURCES ${QML_TST_FILES})
+
+# copy files to binary dir in order to allow for relative imports
+foreach(qmlFile ${QML_TST_FILES})
+  file(COPY ${qmlFile} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+endforeach(qmlFile)
