=== modules/Lomiri/Components/Extras/CMakeLists.txt ===
set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")

add_subdirectory(plugin)
add_subdirectory(qml${QT_VERSION_MAJOR})
add_subdirectory(PamAuthentication)
add_subdirectory(Printers)
