=== modules/Lomiri/Components/Extras/PamAuthentication/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
-set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
+set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")
 set(BARE_PLUGIN_DIR Lomiri/Components/Extras/PamAuthentication)
 set(PLUGIN_DIR ${QT_IMPORTS_DIR}/${BARE_PLUGIN_DIR})
 
@@ -19,11 +19,11 @@
 
 target_link_libraries(PamAuthentication
     pam
-    Qt5::Gui
-    Qt5::Qml
-    Qt5::Quick
-    Qt5::Widgets
-    Qt5::DBus
+    Qt::Gui
+    Qt::Qml
+    Qt::Quick
+    Qt::Widgets
+    Qt::DBus
 )
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
@@ -41,4 +41,3 @@
 # Install plugin file
 install(TARGETS PamAuthentication DESTINATION ${PLUGIN_DIR})
 install(FILES qmldir DESTINATION ${PLUGIN_DIR})
-
