=== debian/changelog ===
lomiri-ui-extras (0.8.0~git20250805.b00c9c1-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release preview / Git snapshot.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/{rules,watch}:
    + Obtain upstream Git snapshot instead of release tarballs.
  * debian/control:
    + Add to B-D: qt6-shadertools-dev.
    + Add more Multi-Arch: {same,foreign} declarations. Thanks, Multi-Arch
      Hinter.
  * debian/qml*.lintian-overrides:
    + Ignore image-file-in-usr-lib lintian paranoia.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Sep 2025 14:32:11 +0200
